<!DOCTYPE html >
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
          integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
            integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"
            integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T"
            crossorigin="anonymous"></script>

    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" th:href="@{/css/custom.css}"/>
    <title>Home</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="/">Disimx</a>

    <div class="collapse navbar-collapse form-inline my-2 my-lg-0" id="navbarSupportedContent">
        <span class="nav-link" style="color: white" th:text="#{changeLang}"></span>
        <select id="locales">
            <option value=""></option>
            <option value="en" th:text="#{lang_eng}"></option>
            <option value="it" th:text="#{lang_it}"></option>
        </select>
    </div>
</nav>
<div class="container d-flex justify-content-center">
    <div class="show_course_div row" style="width: 100%;">
        <div th:if="!${#strings.contains(#locale,'it')}" th:object="${course}" class="course_table">
            <h3 class="text-center grey title_show" style="padding: 15px;" > Decription of the course: <span
                    th:text="*{name}"></span></h3>
            <form method="get" th:action="@{/course/show}" class="show_form">
                <select class="form-control" id="form_semester" th:field="*{year}">
                    <option value="">--</option>
                    <option th:each="year : ${years}" th:value="${year}" th:text="${year}"></option>
                </select>
                <input type="hidden" name="courseId" th:value="${param.courseId}" class="form-control" id="course_id">
                <button class="btn btn-primary" type="submit" th:text="#{load}"></button>
            </form>
            <div class="line_delimiter"></div>
            <div class="show_div2">
                <h3 class="grey title_show" th:text="#{introduction}"></h3>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{code}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{code}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_code}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{year}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{year}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_year}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{semester}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{semester}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_semestser}">?</button>
                    </div>
                </div>

                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{mod_esame}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{modEsame}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_mod_esame}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{mod_insegnamento}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{modInsegnamento}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_mod_insegnamento}">?</button>
                    </div>
                </div>
                <strong th:text="#{relation_course}"></strong>
                <button style="margin-left: 10px;" th:title="#{help_relation}">?</button>
                <div class="col-sm-12">
                    <div class="col-sm-4" style="display: inline-block;">
                        <strong>Modulo</strong>
                        <ul>
                            <a th:each="course : ${moduloRelationChildren}" th:href="@{'/course/show?courseId='+${course?.id}}">
                                <li class="grey" th:utext="${course?.name}"></li>
                            </a>
                        </ul>
                    </div>
                    <div class="col-sm-4" style="display: inline-block;">
                        <strong>Mutuato</strong>
                        <ul>
                            <a th:each="course : ${mutuatoRelationChildren}" th:href="@{'/course/show?courseId='+${course?.id}}">
                                <li class="grey" th:utext="${course?.name}"></li>
                            </a>
                        </ul>
                    </div>
                    <div class="col-sm-3" style="display: inline-block;">
                        <strong>Propedeutico</strong>
                        <ul>
                            <a th:each="course : ${propedeuticoRelationChildren}" th:href="@{'/course/show?courseId='+${course?.id}}">
                                <li class="grey" th:utext="${course?.name}"></li>
                            </a>
                        </ul>
                    </div>
                </div>

                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{scientific_area}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{scientificArea?.name}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_scientific_area}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{professors}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:each="prof : ${course?.profs}"
                           th:utext="${prof.name}" style="display: inline-block;"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_professors}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{changeLang}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{language}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_language}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{description}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_description}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{description}"></p>
                    </div>
                </div>
            </div>
            <div class="line_delimiter"></div>
            <div class="show_div2">
                <h3 class="grey title_show" th:text="#{dublin_descriptor}"></h3></h3>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_application}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_appplication}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubApplication}"></p>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_communication}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_communication}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubCommunication}"></p>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_evaluation}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_evaluation}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubEvaluation}"></p>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_knowledge}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_knowledge}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubKnowledge}"></p>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_skills}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_skills}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubSkills}"></p>
                    </div>
                </div>
            </div>
            <div class="line_delimiter"></div>
            <div class="show_div2">
                <h3 class="grey title_show" th:text="#{else}"></h3>
                <div>
                    <div style="display: inline-block">
                        <strong>Note</strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{note}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_note}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{resources}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{resources}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_resources}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{books}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{books}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_books}">?</button>
                    </div>
                </div>
            </div>
            <div class="line_delimiter"></div>
            <div class="show_div2">
                <h3 class="grey title_show" th:text="#{programme_2}"></h3>
                <div>
                    <div>
                        <div style="display: inline-block">
                            <strong th:text="#{programme}"></strong>
                        </div>
                        <div style="display: inline-block">
                            <p class="grey" th:text="*{programme}"></p>
                        </div>
                        <div style="display: inline-block">
                            <button th:title="#{help_programme}">?</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div th:if="${#strings.contains(#locale,'it')}" th:object="${course}" class="course_table">
            <h3 class="text-center grey title_show" style="padding: 15px;" >Descrizione del corso: <span th:text="*{nameIt}"></span></h3>
            <form method="get" th:action="@{/course/show}" class="show_form">
                <select class="form-control" id="form_semester" th:field="*{year}">
                    <option value="">--</option>
                    <option th:each="year : ${years}" th:value="${year}" th:text="${year}"></option>
                </select>
                <input type="hidden" name="courseId" th:value="${param.courseId}" class="form-control" id="course_id">
                <button class="btn btn-primary" type="submit" th:text="#{load}"></button>
            </form>
            <div class="line_delimiter"></div>
            <div class="show_div2">
                <h3 class="grey title_show" th:text="#{introduction}"></h3>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{code}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{code}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_code}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{year}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{year}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_year}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{semester}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{semester}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_semester}">?</button>
                    </div>
                </div>

                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{mod_esame}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{modEsameIt}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_mod_esame}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{mod_insegnamento}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{modInsegnamentoIt}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_mod_insegnamento}">?</button>
                    </div>
                </div>
                <strong th:text="#{relation_course}"></strong>
                <button style="margin-left: 10px;" th:title="#{help_relation}">?</button>
                <div class="col-sm-12">
                    <div class="col-sm-4" style="display: inline-block;">
                        <strong>Modulo</strong>
                        <ul>
                            <a th:each="course : ${moduloRelationChildren}" th:href="@{'/course/show?courseId='+${course?.id}}">
                                <li class="grey" th:utext="${course?.nameIt}"></li>
                            </a>
                        </ul>
                    </div>
                    <div class="col-sm-4" style="display: inline-block;">
                        <strong>Mutuato</strong>
                        <ul>
                            <a th:each="course : ${mutuatoRelationChildren}" th:href="@{'/course/show?courseId='+${course?.id}}">
                                <li class="grey" th:utext="${course?.nameIt}"></li>
                            </a>
                        </ul>
                    </div>
                    <div style="display: inline-block;" class="col-sm-3">
                        <strong>Propedeutico</strong>
                        <ul>
                            <a th:each="course : ${propedeuticoRelationChildren}" th:href="@{'/course/show?courseId='+${course?.id}}">
                                <li class="grey" th:utext="${course?.nameIt}"></li>
                            </a>
                        </ul>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{scientific_area}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{scientificArea?.name}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_scientific_area}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{professors}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:each="prof : ${course?.profs}"
                           th:utext="${prof.name}" style="display: inline-block;"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_professors}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{changeLang}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{languageIt}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_language}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{description_it}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_description}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{descriptionIt}"></p>
                    </div>
                </div>
            </div>
            <div class="line_delimiter"></div>
            <div class="show_div2">
                <h3 class="grey title_show" th:text="#{dublin_descriptor}"></h3></h3>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_application}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_application}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubApplicationIt}"></p>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_communication}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_communication}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubCommunicationIt}"></p>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_evaluation}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubEvaluationIt}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_evaluation}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_knowledge}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_knowledge}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubKnowledgeIt}"></p>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{dub_skills}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_dub_skills}">?</button>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{dubSkillsIt}"></p>
                    </div>
                </div>
            </div>
            <div class="line_delimiter"></div>
            <div class="show_div2">
                <h3 class="grey title_show"> Altro</h3>
                <div>
                    <div style="display: inline-block">
                        <strong>Note</strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{noteIt}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_note}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{resources}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{resourcesIt}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_resources}">?</button>
                    </div>
                </div>
                <div>
                    <div style="display: inline-block">
                        <strong th:text="#{books}"></strong>
                    </div>
                    <div style="display: inline-block">
                        <p class="grey" th:text="*{books}"></p>
                    </div>
                    <div style="display: inline-block">
                        <button th:title="#{help_books}">?</button>
                    </div>
                </div>
            </div>
            <div class="line_delimiter"></div>
            <div class="show_div2">
                <h3 class="grey title_show" th:text="#{programme_2}"></h3>
                <div>
                    <div>
                        <div style="display: inline-block">
                            <strong th:text="#{programme}"></strong>
                        </div>
                        <div style="display: inline-block">
                            <p class="grey" th:text="*{programmeIt}"></p>
                        </div>
                        <div style="display: inline-block">
                            <button th:title="#{help_programme}">?</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid">
    <div class="row" style="background-color: #252321; min-height: 150px;">
        <div class="col-md-12" style="padding-top: 50px;">
            <a href="mailto:info@n-rent.com">
                <h6 class="h6" style="text-align: center; color: white; margin-bottom: 10px">info@disimx.com</h6></a>
            <a href="http://www.n-rent.com/Impressum.pdf">
                <h6 class="h6" style="text-align: center; font-size: 16px; color: white;">Copyright 2018-2019</h6></a>
            <h6 class="h6"
                style="text-align: center; font-size: 20px; color: white; margin-bottom: 15px; margin-top: 10px">© 2018
                Disimx</h6>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $("#locales").change(function () {
            var selectedOption = $('#locales').val() + " ";
            if (selectedOption != '') {
                if (document.location.href.indexOf('lang=') != -1)
                    var url = document.location.href.replace("lang=", "lang=" + selectedOption);
                else if (document.location.href.indexOf('?') != -1) {
                    var url = document.location.href + "&lang=" + selectedOption;
                } else {
                    var url = document.location.href + "?lang=" + selectedOption;
                }
                window.location.href = url;
            }
        });
    });


</script>
</body>
</html>